%define major		0
%define libname		%mklibname v4l %{major}
%define develname	%mklibname v4l -d
%define wrappersname	%mklibname v4l-wrappers

Name:		v4l-utils
Version:	0.8.9
Release:	%mkrel 2
Summary:	Linux V4L2 and DVB API utilities
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.linuxtv.org/v4l-utils.git
Source:		http://linuxtv.org/downloads/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	libsysfs-devel
BuildRequires:	qt4-devel
BuildRequires:	jpeg-devel
Conflicts:	ivtv-utils <= 1.4.0-1mdv2010.1
Obsoletes:	libv4l <= 0.6.4-1mdv2010.1
Requires:	%{wrappersname} >= %{version}-%{release}

%description
v4l-utils is the combination of various v4l and dvb utilities which
used to be part of the v4l-dvb mercurial kernel tree. 

%files
%defattr(0755,root,root,0755)
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/dvb-fe-tool
%{_bindir}/dvb-format-convert
%{_bindir}/dvbv5-scan
%{_bindir}/dvbv5-zap
%{_bindir}/ir-keytable
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg
/etc/rc_keymaps
/etc/rc_maps.cfg
/lib/udev/rules.d/70-infrared.rules
%_mandir/man*/*

%package -n	v4l-utils-qt4
Summary:	qt4 tools for v4l applications
Group:		System/Libraries
Conflicts:	libv4l <= 0.7.91-1mdv2010.1

%description -n	v4l-utils-qt4
v4l-utils-qt4 is a QT4 gui for the v4l-utils tools

%files -n	v4l-utils-qt4
%defattr(0755,root,root,0755)
%{_bindir}/qv4l2
%{_datadir}/applications/qv4l2.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*

%package -n	%{wrappersname}
Summary:	Wrappers for v4l applications
Group:		System/Libraries
Conflicts:	libv4l <= 0.5.9-1mdv2010.0

%description -n %{wrappersname}
This package contains wrapper libraries that adds v4l2 device compatibility for
v4l1 applications and support for various pixelformats to v4l2 applications.

%files -n	%{wrappersname}
%defattr(0644,root,root,0755)
%dir %{_libdir}/libv4l
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so
%{_libdir}/libv4l/*-decomp

%package -n	%{libname}
Summary:	Thin abstraction layer for video4linux2 devices
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
libv4l is a collection of libraries which adds a thin abstraction layer on top
of video4linux2 devices. The purpose of this (thin) layer is to make it easy for
application writers to support a wide variety of devices without having to write
separate code for different devices in the same class.

%files -n	%{libname}
%defattr(0644,root,root,0755)
%{_libdir}/libv4l1.so.%{major}*
%{_libdir}/libv4l2.so.%{major}*
%{_libdir}/libv4lconvert.so.%{major}*

%package -n	%{develname}
Summary:	Development files from libv4l
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libv4l-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files needed to build programs that use
libv4l.

%files -n	%{develname}
%defattr(0644,root,root,0755)
%{_includedir}/libv4l1.h
%{_includedir}/libv4l1-videodev.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.so
%{_libdir}/pkgconfig/libv4l1.pc
%{_libdir}/pkgconfig/libv4l2.pc
%{_libdir}/pkgconfig/libv4lconvert.pc

%prep
%setup -q

%build
%setup_compile_flags
%make CFLAGS="%{optflags}" PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

%install
%makeinstall_std PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

# already provided by ivtv-utils package, more uptodate/complete there
rm -f %{buildroot}%{_bindir}/ivtv-ctl


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.9-2.mga3
+ Revision: 385213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 0.8.9-1.mga3
+ Revision: 311670
- 0.8.9

* Mon Aug 13 2012 luigiwalser <luigiwalser> 0.8.8-1.mga3
+ Revision: 281023
- spec fixes from mdv

  + tv <tv>
    - new release

* Fri Mar 02 2012 fwang <fwang> 0.8.6-1.mga2
+ Revision: 216631
- new version 0.8.6

  + tv <tv>
    - further fix file list
    - fix file list
    - new release

* Tue Jun 14 2011 tv <tv> 0.8.4-1.mga2
+ Revision: 106077
- adjust file list
- fix udev rules path
- new release

* Wed Apr 13 2011 tv <tv> 0.8.3-1.mga1
+ Revision: 84184
- adjust file list
- new release

* Sat Jan 15 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 18523
- imported package v4l-utils

